Bug 523113 - [grace] identical binaries xmgrace and gracebat are copied, not linked
Summary: [grace] identical binaries xmgrace and gracebat are copied, not linked
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grace
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 07:55 UTC by Joachim Frieben
Modified: 2011-06-13 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-13 14:39:21 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2009-09-14 07:55:30 UTC
Description of problem:
When rebuilding grace-5.1.22-5.fc12.x86_64 from the source package, the following output appears toward completion:

  *** WARNING: identical binaries are copied, not linked:
          /usr/bin/xmgrace
     and  /usr/bin/gracebat

Actually, gracebat should be a symbolic link to xmgrace.

Version-Release number of selected component (if applicable):
grace-5.1.22-5.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Rebuild grace-5.1.22-5.fc12.x86_64.
2. Watch output during build process 
  
Actual results:
Above warning appears.

Expected results:
No warning appears and gracebat is a symbolic link to xmgrace.

Additional info:
Looks like a mistake in the spec file which does not preserve symbolic links when collecting all the files going into the binary package.

Comment 1 Bug Zapper 2009-11-16 12:20:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-11-04 10:03:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-02 17:45:08 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 José Matos 2011-06-13 14:39:21 UTC
This is not a bug the files are really linked (symbolically):

$  ll /usr/share/grace/bin
lrwxrwxrwx. 1 root root 9 Mar 29 15:26 /usr/share/grace/bin -> ../../bin

So am I closing this as not a bug.


Note You need to log in before you can comment on or make changes to this bug.